﻿using MetroLog.Maui;
using StudiApp.Interfaces;
using StudiApp.Views;

using StudiApp.Models;

namespace StudiApp;

public partial class App : Application
{
	public App(
		IRepository<Semester, int> semesterRepository,
		IRepository<Course, int> courseRepository,	
		IRepository<Mark, int> markRepository,
		IRepository<Lecture, int> lectureRepository,
		IRepository<ToDo,  int> todoRepository)
	{
		InitializeComponent();

		MainPage = new AppShell();
	}
}
